$(function () {
    $("#btnAjaxText").on("click", function () {
        $.get('data/clients.txt', {}, function (data) {
            $("#resultText").text(data);
        });        
    });
    $("#btnAjaxXml").on("click", function () {
        $.get('data/clients.xml', {}, function (clients) {
            // Le para. clients est le DOM du XML des clients, on peut donc utiliser jquery pour aller y chercher des <balises>
            $("client", clients).each(function (i , client) {
                $("#resultXml").append($("lastname", client).text());
            });
        });        
    });
    $("#btnAjaxJson").on("click", function () {
        $.get('data/clients.php', {}, function (clients) {
            // Le para. clients est un tableau d'objet contenant les clients
            $.each(clients, function (i, client) {
                // On peut donc accéder au propriété de l'objet représentant un client très simplement
                $("#resultJson").append(client.lastname);
            });
        });        
    });
});
